#pragma once
#include <sys/utsname.h>
#include <time.h>
#include <iostream>
#include "agent/linux/get_date.h"
#include "agent/linux/get_macaddr.h"
#include "agent/linux/get_machine_type.h"
#include "agent/linux/get_time.h"
#include "agent/linux/get_user_count.h"
#include "json/json.h"

int open_file(std::string name, std::ifstream& fstream);

std::string get_distro();
std::string get_processor_model();

Json::Value get_inventory();
