/* Copyright (C) 2004-2016 Centro de Computacao Cientifica e Software Livre
 * Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
 *
 * This file is part of simmc-agent
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
 */

#include "agent/windows/get_time.h"

// get current time
std::string get_time() {
    std::string res = "";

    time_t rawtime;
    struct tm * timeinfo;
    char buffer[20];

    time(&rawtime);
    timeinfo = localtime_r(&rawtime, timeinfo);

    // HH:MM:SS
    strftime(buffer, 20, "%H:%M:%S", timeinfo);

    res = buffer;
    return res;
}
